7 Replies Latest reply on Oct 14, 2016 9:58 PM by hmzppz

    Lightroom CC 2015.7/6.7 on Mavericks 10.9

    hmzppz

      Hello,

       

      Can anyone please confirm or deny that Lightroom CC 2015.7/6.7 works on MacOSX 10.9 Mavericks? Does it not launch at all, or it works but some features require 10.10? I know Adobe stated that 10.10 is now required, but nevertheless just wanted to make sure: my CC app is intimidating me to update my Lightroom, but being on 10.9, I don't want to end up with non-functioning app.

       

      Thanks!